summaryrefslogtreecommitdiffstats
path: root/debian/passwd.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/passwd.postinst')
-rw-r--r--debian/passwd.postinst30
1 files changed, 30 insertions, 0 deletions
diff --git a/debian/passwd.postinst b/debian/passwd.postinst
new file mode 100644
index 0000000..f6d5221
--- /dev/null
+++ b/debian/passwd.postinst
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+configure)
+ if ! getent group shadow | grep -q '^shadow:[^:]*:42'
+ then
+ groupadd -g 42 shadow || (
+ cat <<EOF
+Group ID 42 has been allocated for the shadow group. You have either
+used 42 yourself or created a shadow group with a different ID.
+Please correct this problem and reconfigure with ``dpkg --configure passwd''.
+
+Note that both user and group IDs in the range 0-99 are globally
+allocated by the Debian project and must be the same on every Debian
+system.
+EOF
+ exit 1
+ )
+ fi
+ ;;
+esac
+
+# Run shadowconfig only on new installs
+[ -z "$2" ] && shadowconfig on
+
+#DEBHELPER#
+
+exit 0